Page MenuHomePhabricator

Add minidump support to obj2yaml
ClosedPublic

Authored by labath on Mar 21 2019, 3:51 AM.

Details

Summary

This patch adds the code needed to parse a minidump file into the
MinidumpYAML model, and the necessary glue code so that obj2yaml can
recognise the minidump files and process them.

Diff Detail

Event Timeline

labath created this revision.Mar 21 2019, 3:51 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 21 2019, 3:51 AM
Herald added a subscriber: mgorny. · View Herald Transcript
labath added a comment.Apr 1 2019, 2:56 AM

James, do you have any thoughts on this? I think the minidump-specific changes are all pretty straight-forward here, so the thing I'm most interested in is whether this is ok from a obj2yaml perspective.

jhenderson accepted this revision.Apr 2 2019, 4:17 AM

James, do you have any thoughts on this? I think the minidump-specific changes are all pretty straight-forward here, so the thing I'm most interested in is whether this is ok from a obj2yaml perspective.

Sorry, I've been a bit snowed under with other stuff recently. I don't claim to be an expert on obj2yaml, but this LGTM.

This revision is now accepted and ready to land.Apr 2 2019, 4:17 AM
labath added a comment.Apr 2 2019, 4:34 AM

Sorry, I've been a bit snowed under with other stuff recently. I don't claim to be an expert on obj2yaml, but this LGTM.

No worries. You still have the fastest average response time for my code reviews/emails. :)

This revision was automatically updated to reflect the committed changes.